Subject: Re: bug#20404: 25.0.50; Sometimes no fontification with jit-lock-defer-time

From: Stefan Monnier <[email-masked]>
Date: Thu, 23 Apr 2015 13:27:20 -0400

> FWIW, when I set jit-lock-defer-time to zero and lean on the PageDown
> key, I see somewhat clunky scrolling with no fontifications, until I
> release the key.
> But fontification inside the scrolling code itself still happens, I
> think.

Hmm... while I guess it's still possible, it normally shouldn't happen:
if the fontification takes place during the scrolling itself, then the
next redisplay should not be skipped (and hence you should see fontified
text rather than unfontified text, tho, some of the displayed text may
still be unfontified, because it was marked as "fontified=defer" in the
previous redisplay).

So, if the text scrolls by fully unfontified, it should be the case that
fontification did not happen during scrolling.

        Stefan